Package org.opensaml.xmlsec.encryption.impl

# Class OtherSourceBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<OtherSource>
org.opensaml.xmlsec.encryption.impl.OtherSourceBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<OtherSource>`, `XMLEncryptionBuilder<OtherSource>`

public class OtherSourceBuilder extends AbstractXMLObjectBuilder<OtherSource> implements XMLEncryptionBuilder<OtherSource>
Builder of `OtherSource`.

## Constructor Summary

Constructors
Constructor
Description
`OtherSourceBuilder()`

## Method Summary

Modifier and Type
Method
Description
`OtherSource`
`buildObject()`
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.
`OtherSource`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### OtherSourceBuilder

public OtherSourceBuilder()

## Method Details

### buildObject

@Nonnull public OtherSource buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<OtherSource>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<OtherSource>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject

### buildObject

@Nonnull public OtherSource buildObject()
Builds an XMLObject using the default name and namespace information provided XML Encryption specifications.

Specified by:
  `buildObject` in interface `XMLEncryptionBuilder<OtherSource>`
Returns:
  built XMLObject